# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsGit/GitRemoteRepositoriesDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_GitRemoteRepositoriesDialog(object):
    def setupUi(self, GitRemoteRepositoriesDialog):
        GitRemoteRepositoriesDialog.setObjectName("GitRemoteRepositoriesDialog")
        GitRemoteRepositoriesDialog.resize(650, 500)
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(GitRemoteRepositoriesDialog)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.groupBox = QtWidgets.QGroupBox(parent=GitRemoteRepositoriesDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Preferred, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(3)
        sizePolicy.setHeightForWidth(self.groupBox.sizePolicy().hasHeightForWidth())
        self.groupBox.setSizePolicy(sizePolicy)
        self.groupBox.setObjectName("groupBox")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.groupBox)
        self.verticalLayout.setObjectName("verticalLayout")
        self.repolist = QtWidgets.QTreeWidget(parent=self.groupBox)
        self.repolist.setAlternatingRowColors(True)
        self.repolist.setRootIsDecorated(False)
        self.repolist.setItemsExpandable(False)
        self.repolist.setObjectName("repolist")
        self.verticalLayout.addWidget(self.repolist)
        self.verticalLayout_2.addWidget(self.groupBox)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.addButton = QtWidgets.QPushButton(parent=GitRemoteRepositoriesDialog)
        self.addButton.setObjectName("addButton")
        self.horizontalLayout.addWidget(self.addButton)
        self.removeButton = QtWidgets.QPushButton(parent=GitRemoteRepositoriesDialog)
        self.removeButton.setObjectName("removeButton")
        self.horizontalLayout.addWidget(self.removeButton)
        self.pruneButton = QtWidgets.QPushButton(parent=GitRemoteRepositoriesDialog)
        self.pruneButton.setObjectName("pruneButton")
        self.horizontalLayout.addWidget(self.pruneButton)
        self.line = QtWidgets.QFrame(parent=GitRemoteRepositoriesDialog)
        self.line.setFrameShape(QtWidgets.QFrame.Shape.VLine)
        self.line.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line.setObjectName("line")
        self.horizontalLayout.addWidget(self.line)
        self.showInfoButton = QtWidgets.QPushButton(parent=GitRemoteRepositoriesDialog)
        self.showInfoButton.setObjectName("showInfoButton")
        self.horizontalLayout.addWidget(self.showInfoButton)
        spacerItem1 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem1)
        self.verticalLayout_2.addLayout(self.horizontalLayout)
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        spacerItem2 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_2.addItem(spacerItem2)
        self.renameButton = QtWidgets.QPushButton(parent=GitRemoteRepositoriesDialog)
        self.renameButton.setObjectName("renameButton")
        self.horizontalLayout_2.addWidget(self.renameButton)
        self.changeUrlButton = QtWidgets.QPushButton(parent=GitRemoteRepositoriesDialog)
        self.changeUrlButton.setObjectName("changeUrlButton")
        self.horizontalLayout_2.addWidget(self.changeUrlButton)
        self.credentialsButton = QtWidgets.QPushButton(parent=GitRemoteRepositoriesDialog)
        self.credentialsButton.setObjectName("credentialsButton")
        self.horizontalLayout_2.addWidget(self.credentialsButton)
        spacerItem3 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_2.addItem(spacerItem3)
        self.verticalLayout_2.addLayout(self.horizontalLayout_2)
        self.errorGroup = QtWidgets.QGroupBox(parent=GitRemoteRepositoriesDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Preferred, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(1)
        sizePolicy.setHeightForWidth(self.errorGroup.sizePolicy().hasHeightForWidth())
        self.errorGroup.setSizePolicy(sizePolicy)
        self.errorGroup.setObjectName("errorGroup")
        self.vboxlayout = QtWidgets.QVBoxLayout(self.errorGroup)
        self.vboxlayout.setObjectName("vboxlayout")
        self.errors = QtWidgets.QTextEdit(parent=self.errorGroup)
        self.errors.setReadOnly(True)
        self.errors.setAcceptRichText(False)
        self.errors.setObjectName("errors")
        self.vboxlayout.addWidget(self.errors)
        self.verticalLayout_2.addWidget(self.errorGroup)
        self.inputGroup = QtWidgets.QGroupBox(parent=GitRemoteRepositoriesDialog)
        self.inputGroup.setObjectName("inputGroup")
        self._2 = QtWidgets.QGridLayout(self.inputGroup)
        self._2.setObjectName("_2")
        spacerItem4 = QtWidgets.QSpacerItem(327, 29, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self._2.addItem(spacerItem4, 1, 1, 1, 1)
        self.sendButton = QtWidgets.QPushButton(parent=self.inputGroup)
        self.sendButton.setObjectName("sendButton")
        self._2.addWidget(self.sendButton, 1, 2, 1, 1)
        self.input = QtWidgets.QLineEdit(parent=self.inputGroup)
        self.input.setObjectName("input")
        self._2.addWidget(self.input, 0, 0, 1, 3)
        self.passwordCheckBox = QtWidgets.QCheckBox(parent=self.inputGroup)
        self.passwordCheckBox.setObjectName("passwordCheckBox")
        self._2.addWidget(self.passwordCheckBox, 1, 0, 1, 1)
        self.verticalLayout_2.addWidget(self.inputGroup)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=GitRemoteRepositoriesDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout_2.addWidget(self.buttonBox)

        self.retranslateUi(GitRemoteRepositoriesDialog)
        QtCore.QMetaObject.connectSlotsByName(GitRemoteRepositoriesDialog)
        GitRemoteRepositoriesDialog.setTabOrder(self.repolist, self.addButton)
        GitRemoteRepositoriesDialog.setTabOrder(self.addButton, self.removeButton)
        GitRemoteRepositoriesDialog.setTabOrder(self.removeButton, self.pruneButton)
        GitRemoteRepositoriesDialog.setTabOrder(self.pruneButton, self.showInfoButton)
        GitRemoteRepositoriesDialog.setTabOrder(self.showInfoButton, self.renameButton)
        GitRemoteRepositoriesDialog.setTabOrder(self.renameButton, self.changeUrlButton)
        GitRemoteRepositoriesDialog.setTabOrder(self.changeUrlButton, self.credentialsButton)
        GitRemoteRepositoriesDialog.setTabOrder(self.credentialsButton, self.errors)
        GitRemoteRepositoriesDialog.setTabOrder(self.errors, self.input)
        GitRemoteRepositoriesDialog.setTabOrder(self.input, self.passwordCheckBox)
        GitRemoteRepositoriesDialog.setTabOrder(self.passwordCheckBox, self.sendButton)

    def retranslateUi(self, GitRemoteRepositoriesDialog):
        _translate = QtCore.QCoreApplication.translate
        GitRemoteRepositoriesDialog.setWindowTitle(_translate("GitRemoteRepositoriesDialog", "Git Remote Repositories"))
        GitRemoteRepositoriesDialog.setWhatsThis(_translate("GitRemoteRepositoriesDialog", "<b>Git Remote Repositories</b>\n"
"<p>This dialog shows the available remote repositories.</p>"))
        self.groupBox.setTitle(_translate("GitRemoteRepositoriesDialog", "Remote Repositories"))
        self.repolist.headerItem().setText(0, _translate("GitRemoteRepositoriesDialog", "Name"))
        self.repolist.headerItem().setText(1, _translate("GitRemoteRepositoriesDialog", "URL"))
        self.repolist.headerItem().setText(2, _translate("GitRemoteRepositoriesDialog", "Operation"))
        self.addButton.setToolTip(_translate("GitRemoteRepositoriesDialog", "Press to add a remote repository"))
        self.addButton.setText(_translate("GitRemoteRepositoriesDialog", "&Add"))
        self.removeButton.setToolTip(_translate("GitRemoteRepositoriesDialog", "Press to remove the selected repository"))
        self.removeButton.setText(_translate("GitRemoteRepositoriesDialog", "Re&move"))
        self.pruneButton.setToolTip(_translate("GitRemoteRepositoriesDialog", "Press to delete stale tracking branches under the selected repository "))
        self.pruneButton.setText(_translate("GitRemoteRepositoriesDialog", "&Prune"))
        self.showInfoButton.setToolTip(_translate("GitRemoteRepositoriesDialog", "Press to show information about the selected repository"))
        self.showInfoButton.setText(_translate("GitRemoteRepositoriesDialog", "Show &Info..."))
        self.renameButton.setToolTip(_translate("GitRemoteRepositoriesDialog", "Press to rename the selected repository"))
        self.renameButton.setText(_translate("GitRemoteRepositoriesDialog", "&Rename"))
        self.changeUrlButton.setToolTip(_translate("GitRemoteRepositoriesDialog", "Press to change the URL of the selected repository"))
        self.changeUrlButton.setText(_translate("GitRemoteRepositoriesDialog", "Change &URL"))
        self.credentialsButton.setToolTip(_translate("GitRemoteRepositoriesDialog", "Press to set or change the user credentials of the selected repository"))
        self.credentialsButton.setText(_translate("GitRemoteRepositoriesDialog", "&Credentials"))
        self.errorGroup.setTitle(_translate("GitRemoteRepositoriesDialog", "Errors"))
        self.errors.setWhatsThis(_translate("GitRemoteRepositoriesDialog", "<b>Git log errors</b><p>This shows possible error messages of the git log command.</p>"))
        self.inputGroup.setTitle(_translate("GitRemoteRepositoriesDialog", "Input"))
        self.sendButton.setToolTip(_translate("GitRemoteRepositoriesDialog", "Press to send the input to the git process"))
        self.sendButton.setText(_translate("GitRemoteRepositoriesDialog", "&Send"))
        self.sendButton.setShortcut(_translate("GitRemoteRepositoriesDialog", "Alt+S"))
        self.input.setToolTip(_translate("GitRemoteRepositoriesDialog", "Enter data to be sent to the git process"))
        self.passwordCheckBox.setToolTip(_translate("GitRemoteRepositoriesDialog", "Select to switch the input field to password mode"))
        self.passwordCheckBox.setText(_translate("GitRemoteRepositoriesDialog", "&Password Mode"))
        self.passwordCheckBox.setShortcut(_translate("GitRemoteRepositoriesDialog", "Alt+P"))
